Bug 570258 - Review Request: rply - A library to read and write 3D PLY files
Summary: Review Request: rply - A library to read and write 3D PLY files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: vxl
TreeView+ depends on / blocked
 
Reported: 2010-03-03 17:10 UTC by Mario Ceresa
Modified: 2010-10-19 11:32 UTC (History)
4 users (show)

Fixed In Version: rply-1.01-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-23 23:24:58 UTC
lemenkov: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mario Ceresa 2010-03-03 17:10:33 UTC
Spec URL: http://mrceresa.fedorapeople.org/rply.spec
SRPM URL: http://mrceresa.fedorapeople.org/rply-1.01-1.fc12.src.rpm
Description:

RPly is a library that lets applications read and write PLY files.
The PLY file format is widely used to store geometric information, such as 3D
models, but is general enough to be useful for other purposes.

RPly is easy to use, well documented, small, free, open-source, ANSI C, 
efficient, and well tested. The highlights are:

* A callback mechanism that makes PLY file input straightforward;
* Support for the full range of numeric formats;
* Binary (big and little endian) and text modes are fully supported;
* Input and output are buffered for efficiency;
* Available under the MIT license for added freedom.

Comment 1 Peter Lemenkov 2010-03-04 06:11:51 UTC
I'll review it

Comment 2 Peter Lemenkov 2010-03-04 06:37:08 UTC
Notes:

* Url is wrong. Correct one is - http://www.tecgraf.puc-rio.br/~diego/professional/rply/
* The 'convert', 'dump' 'sconvert' utilities are not installed and have very generic names. I suggest you to consider installing them too (with rply_ prefix, for example).

REVIEW:

- rpmlint is not silent:

Sulaco ~/rpmbuild/RPMS/ppc: rpmlint rply-*
rply.ppc: W: spelling-error %description -l en_US endian -> Indian, ending, endive
rply.ppc: W: incoherent-version-in-changelog 1.01 ['1.01-1.fc12', '1.01-1']
rply.ppc: W: file-not-utf8 /usr/share/doc/rply-1.01/LICENSE
rply-devel.ppc: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 4 warnings.
Sulaco ~/rpmbuild/RPMS/ppc:


* Ignore message about "endian" word.
* Add Release (w/o %{?dist}) to version in changelog, e.g.

* Wed Mar 03 2010 Mario Ceresa mrceresa@gmail.com rply 1.01-1

Note "-1" at the end of the string.

* I strongly recommend to NOT fix the issue with LICENSE file being not UTF-8 encoded, since it may have legal issues if we'll change licensing information.

+ The package is named according to the Package Naming Guidelines .
+ The spec file name matches the base package %{name}, in the format %{name}.spec .
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license (MIT).
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package matches the upstream source

Sulaco ~/rpmbuild/SOURCES: sha256sum rply-1.01.tar.gz*
5fb87562ff47a440e43c035f99c20c1e83b409d2b73a7dafea60fa805bb75d7c  rply-1.01.tar.gz
5fb87562ff47a440e43c035f99c20c1e83b409d2b73a7dafea60fa805bb75d7c  rply-1.01.tar.gz.1
Sulaco ~/rpmbuild/SOURCES: 

- The package MUST successfully compile and build into binary rpms on at least one primary architecture, but, unfortunately, it fails to build on x86_64 doe to lib/lib64 issues.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2029873

+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, th package includes as %doc, does not affect the runtime of the application.
+ Header files are in a -devel package.
0 No static libraries.
+ The package does not contain pkgconfig(.pc) files
+ The library files that end in .so (without suffix) are in a -devel package.
+ The devel sub-package requires the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
+ Package does NOT contain any .la libtool archives
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
+ All filenames in the package are valid UTF-8.

OK, please comment/fix issues noted above, and I'll continue.

Comment 3 Ralf Corsepius 2010-03-04 06:43:36 UTC
Let me add: 
- compilation is not verbose.

Comment 4 Peter Lemenkov 2010-03-04 06:49:06 UTC
Regarding the issue with lib/lib64 - please, change install rule for library files in the following way:

# Installs the target file
install(TARGETS rply LIBRARY DESTINATION lib${LIB_SUFFIX})

${LIB_SUFFIX} is set to 64 on 64-bit platforms, and unset on others. Just FYI - take a look at the build logs on different architectures:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2029880

Comment 5 Mario Ceresa 2010-03-04 14:32:42 UTC
Hello Peter, hello Ralf,

- Fixed:
-- verbose compilation
-- url
-- installed rply_{convert,sconvert,dump}
-- changelog
-- lib/lib64: http://koji.fedoraproject.org/koji/taskinfo?taskID=2030450

Thanks Peter for pointing me to LIB_SUFFIX: I had the lib/lib64 error in another package and I wasn't able to solve it by my own.

New files:

http://mrceresa.fedorapeople.org/rply.spec
http://mrceresa.fedorapeople.org/rply-1.01-2.fc12.src.rpm

Thanks for your help so far,

Mario

Comment 6 Peter Lemenkov 2010-03-04 14:40:31 UTC
I don't see any other issues, so this package is

APPROVED.

Comment 7 Mario Ceresa 2010-03-05 11:57:33 UTC
Wow, my first package approved!

New Package CVS Request
=======================
Package Name: rply
Short Description: A library to read and write PLY files
Owners: mrceresa
Branches: F-11 F-12 EL-5
InitialCC: peter

Comment 8 Kevin Fenzi 2010-03-06 05:25:39 UTC
CVS done (by process-cvs-requests.py).

(Add F-13 branch)

Comment 9 Fedora Update System 2010-03-06 14:01:06 UTC
rply-1.01-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rply-1.01-2.fc12

Comment 10 Fedora Update System 2010-03-06 14:01:12 UTC
rply-1.01-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rply-1.01-2.fc13

Comment 11 Fedora Update System 2010-03-06 14:18:16 UTC
rply-1.01-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rply-1.01-2.fc11

Comment 12 Fedora Update System 2010-03-09 03:13:28 UTC
rply-1.01-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rply'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rply-1.01-2.fc11

Comment 13 Fedora Update System 2010-03-09 03:34:08 UTC
rply-1.01-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rply'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rply-1.01-2.fc12

Comment 14 Fedora Update System 2010-03-09 03:35:30 UTC
rply-1.01-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rply'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rply-1.01-2.fc13

Comment 15 Fedora Update System 2010-03-23 23:24:53 UTC
rply-1.01-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2010-03-23 23:26:23 UTC
rply-1.01-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-03-23 23:34:45 UTC
rply-1.01-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.